<?php

namespace PHPNative\Ui\Widget;

use PHPNative\Framework\TextRenderer;

class StatusBar extends Container
{
    private array $segments = [];

    public function __construct(string $style = 'w-full bg-gray-200 border-t border-gray-300 flex-row')
    {
        parent::__construct($style);
    }

    public function addSegment(Label $label): void
    {
        $this->addComponent($label);
    }
}
